module AlacrityRails
  class Middleware < Struct.new(:app)
    def call(env)
      AlacrityRails::Instrumentor.instrument(
        type: AlacrityRails::Transaction::WebRequest,
        data: { url: env['REQUEST_URI'], method: env['REQUEST_METHOD'] },
        reset: true
      ) do
        app.call(env)
      end
    end
  end
end
