module AlacrityRails
  class Railtie < ::Rails::Railtie
    initializer 'alacrity' do |config|
      if Config.enabled?
        Client.log_server_startup

        config.middleware.insert_before 0, AlacrityRails::Middleware

        Probe::LIST.each(&:activate)
      end
    end
  end
end
