module AlacrityRails::ServerConfig
  extend self

  def environment
    @environment ||= ENV['ALACRITY_ENVIRONMENT'] || Rails.env
  end

  def as_json
    {
      command: File.split($0).last,
      environment: environment,
      agent_name: 'alacrity-rails',
      agent_version: AlacrityRails::VERSION,
      framework_name: 'rails',
      framework_version: Rails.version,
      runtime_name: 'ruby',
      runtime_version: RUBY_VERSION
    }
  end
end
